<?php
$page_name = 'Регистрация';
$page_keys = 'регистрация';
$page_desc = 'Регистрация нового пользователя в системе';
$online_title = 'На странице регистрации';
$online_url = '/register';
include('wu-engine/wu_header.php');
if(USER_LOGGED) { header ("Location: /"); exit; }

//Вывод зарегенных с данным IP
$ipv = mysqli_query($connect_db, "SELECT uid,log FROM ".DB_PREFIX."_users WHERE regip='$ip'");
$howi = mysqli_num_rows($ipv);
if ($howi > 0) {
echo '<div class="alert alert-info fade in"><center>';
if ($howi == 1) {
echo 'С вашего IP уже проводилась регистрация. Если логин, указанный ниже ваш, пожалуйста, авторизуйтесь.<br />';
}
if ($howi > 1) {
echo '<center>С вашего IP уже проводились регистрации. Если среди списка ниже вы нашли свой логин, пожалуйста, авторизуйтесь.<br />';
}
$res = '';
while ($row = mysqli_fetch_assoc($ipv)) {
$resr[] = "<b>$row[log]</b>";
}
$res = implode (", ", $resr);
echo "$res</center></div><br />";
}
?>

<script type="text/javascript" src="/wu-static/js/QapTcha.jquery.js"></script>

<form action="#" class="form-horizontal" role="form">
<div class="form-group">
<label class="col-sm-2 control-label" style="text-align:right">Логин: </label>
<div class="col-sm-8 has-feedback has-feedback-left">
<input type="text" class="form-control func-verify" id="rlogin" />
<i class="icon-user form-control-feedback"></i>
</div>
</div>
<div class="form-group">
<label class="col-sm-2 control-label" style="text-align:right">Пароль: </label>
<div class="col-sm-8 has-feedback has-feedback-left">
<input type="text" class="form-control" id="rpass" />
<i class="icon-lock2 form-control-feedback"></i>
</div>
</div>
<div class="form-group">
<label class="col-sm-2 control-label" style="text-align:right">E-mail: </label>
<div class="col-sm-8 has-feedback has-feedback-left">
<input type="text" class="form-control func-verify-e" id="rmail" />
<i class="icon-mail2 form-control-feedback"></i>
</div>
</div>
<div class="form-group">
<center><label class="checkbox-inline">
<div class="checker"><span class=""><input type="checkbox" class="styled" id="oferta"></span></div>
Подтверждаю, что я прочитал(а) <a href="/offer" target="_blank">правила</a>.
</label></center>
</div>
<div class="form-group" style="width: 202px; margin: 0 auto;">
<div class="QapTcha"></div>
</div>
<center><a href="javascript://" id="submit" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Отправляем">Регистрация</a></center><br /><br />
</form>

<script type='text/javascript'>
$(function() {
$('#submit').click(function(){
var oferta = $('#oferta').prop('checked');
var login = $('#rlogin').val();
var pass = $('#rpass').val();
var mail = $('#rmail').val();
var data = {'oferta': oferta, 'login': login, 'pass': pass, 'mail': mail};
//Регистрация
wu_response('/wu-engine/wu-actions/register.php', data, 'submit', '1', function(wu_result) {
if (wu_result == 'offer') {
notif_e('Вы не согласились с правилами');
}
if (wu_result == 'regged') {
notif_e('Данный логин уже зарегистрирован');
}
if (wu_result == 'lsmall') {
notif_e('Логин меньше 3-х символов');
}
if (wu_result == 'psmall') {
notif_e('Пароль меньше 3-х символов');
}
if (wu_result == 'mail') {
notif_e('Введён неверный E-mail');
}
if (wu_result == 'mailreg') {
notif_e('Данный E-mail уже зарегистрирован');
}
if (wu_result == 'error') {
wu_err();
}
if (wu_result == 'captcha') {
$.jGrowl('Вы не передвинули ползунок вправо', { theme: 'growl-error' });
}
if (wu_result == '1') {
//Авторизация
var data = {'login': login, 'pass': pass};
wu_response('/wu-engine/wu-actions/login.php', data, '', '1', function(wu_result) {
if(wu_result == 0){ notif_e('Войти автоматически не удалось. Попробуйте войти на странице авторизации'); }
if(wu_result == 1){ $(location).attr('href','<?php if (isset($_COOKIE['regback'])) { echo $_COOKIE['regback']; } else { echo '/'; }?>'); }
if(wu_result == 2){ notif_e('Попробуйте войти позднее'); }
if(wu_result == 3){ notif_e('Войти автоматически не удалось. Попробуйте войти на странице авторизации'); }
if(wu_result == 4){ notif_e('Войти автоматически не удалось. Попробуйте войти на странице авторизации'); }
});
}
});
});
$('.QapTcha').QapTcha({});
});

$('.func-verify-e').bind("change keyup paste input", function() {
var value = $(this).val();
var re = /[^-a-zA-Z0-9_\.\@]/g;
if (re.test(value)) {
value = value.replace(re, '');
$(this).val(value);
}
});
</script>

<?php include('wu-engine/wu_footer.php'); ?>